package com.veritablevalor.blizliam;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.microsoft.playwright.Browser;
import com.microsoft.playwright.Page;
import com.microsoft.playwright.Playwright;

public class AmazonRepository {

    Playwright _playwright;
    Browser _browser;
    Page _page;
    boolean _loggedIn = false;
    Logger _logger;

    final String AMAZON_URL = "https://amazon.com/";

    public AmazonRepository()
    {
        Logger logger = LoggerFactory.getLogger(getClass());
        _logger = logger;

        _logger.info("Amazon URL: " + AMAZON_URL);

        _playwright = Playwright.create();
        _browser = _playwright.chromium().launch();

        //_page = page;
    }


    public void AuthIfNeeded(String redirectUrl)
    {
        Page page = _browser.newPage();
        page.navigate(AMAZON_URL);

        boolean loggedIn = page.getByText("Hello, sign in").count() <= 0;

        if (loggedIn)
            _logger.info("Already Logged in as: ");
        else
            _logger.info("Not logged in...");
    }
}
